<?php 
$wp_customize->add_section(
    'subject_area',
    array(
        'title'         => __( 'Subjects Section', 'Luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'subject_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'subject_area_disable',
        array(
            'settings'      => 'subject_area_disable',
            'section'       => 'subject_area',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            )   
        )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_subjectssectionpadding', 'subject_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'subject_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'subject_areaTpadding',
    array(
        'settings'      => 'subject_areaTpadding',
        'section'       => 'subject_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'subject_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'subject_areaBpadding',
    array(
        'settings'      => 'subject_areaBpadding',
        'section'       => 'subject_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

backgroundManager($wp_customize, 'subject', 'subject_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
    'subjects_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);

//subject left img
$wp_customize->add_setting(
        'subject_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'subject_image_heading',
            array(
                'settings'      => 'subject_image_heading',
                'section'       => 'subject_area',
                'label'         => __( 'Left Box', 'luzuk-premium' ),
            )
        )
    );

lzCustomLable($wp_customize, 'subjectarea_fristimg', 'subject_area', 'Frist Image');

      $wp_customize->add_setting(
        'subject_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'subject_image',
            array(
                'section' => 'subject_area',
                'settings' => 'subject_image',
                'description' => __('Recommended Image Size: 547X554px', 'luzuk-premium')
            )
        )
    );

$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'subjects_maintitle_subtitle_heading',
        array(
            'settings'      => 'subjects_maintitle_subtitle_heading',
            'section'       => 'subject_area',
            'label'         => __( 'Section Heading & Sub Heading', 'Luzuk' ),
        )
    )
);
$wp_customize->add_setting(
    'subjects_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Popular Online Courses Subject Around You', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'subjects_maintitle',
    array(
        'settings'      => 'subjects_maintitle',
        'section'       => 'subject_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'subjectarea_sectitle_color', 'subject_area', 'Heading color ', '#000');

$wp_customize->add_setting(
    'subjects_texttitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsumst dolors consectetur adipisicing sed does eiusmodes tempor incididunt labore.', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'subjects_texttitle',
    array(
        'settings'      => 'subjects_texttitle',
        'section'       => 'subject_area', 
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'subjectarea_sectext_color', 'subject_area', 'Text Heading color ', '#687085');

$wp_customize->add_setting(
    'subjects_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'MY SUBJECT', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'subjects_subtitle',
    array(
        'settings'      => 'subjects_subtitle',
        'section'       => 'subject_area', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'subjectarea_secsubtitle_color', 'subject_area', 'Sub Heading color ', '#000');


$wp_customize->add_setting('subject_area_lbl2', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'subject_area_lbl2',
        array(
            'settings'      => 'subject_area_lbl2',
            'section'       => 'subject_area',
            'label'         => __( 'Note1:', 'Luzuk' ),  
            'description'   => __( 'Use Shortcode [SUBJECTS] to show all subjects in a page', 'Luzuk' ),
        )
    )
);


$wp_customize->add_setting('subject_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'subject_npp_heading',
        array(
            'settings'      => 'subject_npp_heading',
            'section'       => 'subject_area',
            'label'         => __( 'Number of subjects to show', 'Luzuk' ),
        )
    )
);    
$wp_customize->add_setting('subject_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'subject_npp_count',
    array(
        'settings'      => 'subject_npp_count',
        'section'       => 'subject_area',
        'type'          => 'select',
        'label'         => __( 'Number of subjects to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10)
    )
);

$SubjectSingleChoice[] = 'Select';

for( $i = 1; $i <= 10; $i++ ){
    $wp_customize->add_setting(
        'subjects_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'subjects_heading'.$i,
            array(
                'settings'      => 'subjects_heading'.$i,
                'section'       => 'subject_area',
                'label'         => __( 'Subject Page', 'Luzuk' ).$i,
            )
        )
    );
    if(is_array($SubjectSingleChoice)){
        $wp_customize->add_setting(
            'subjects_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'subjects_page'.$i,
            array(
                'settings'      => 'subjects_page'.$i,
                'section'       => 'subject_area',
                'type'=> 'select',
                'label'         => __( 'Select a subject', 'Luzuk' ),
                'choices' => $SubjectSingleChoice,
            )
        );

$wp_customize->add_setting(
        'subjects_page_icon1'.$i,
        array(
            'default'           => 'fa fa-cogs',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'subjects_page_icon1'.$i,
            array(
                'settings'      => 'subjects_page_icon1'.$i,
                'section'       => 'subject_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk' ),
            )
        )
    );



    }else{
        $wp_customize->add_setting('subject_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Info_Text( 
                $wp_customize,
                'subject_area_lbl'.$i,
                array(
                    'settings'      => 'subject_area_lbl'.$i,
                    'section'       => 'subject_area',
                    'label'         => __( 'Note:', 'Luzuk' ),    
                    'description'   => __( '<strong>Changes will not reflect unless you select the subject Page.</strong> <br/>Please add the subjects from "Subjects menu" and then select subjects to show information.', 'Luzuk' ),
                )
            )
        );
    }
 
}
lzCustomLable($wp_customize, 'luzuk_alliconcolor', 'subject_area', 'Set all subjects colors:');


addColorPalatOption($wp_customize, 'subjects_icontextColor', 'subject_area', 'Subjects Icon Text color ', '#fff');
addColorPalatOption($wp_customize, 'subjects_icontxhoverColor', 'subject_area', 'Subjects Icon Hover color ', '#fff');
addColorPalatOption($wp_customize, 'subjects_icon1Colorbg1', 'subject_area', 'Subjects Icon BG color One ', '#462f96');
addColorPalatOption($wp_customize, 'subjects_icon1Colorbg2', 'subject_area', 'Subjects Icon BG color Two', '#4a7cdc');
addColorPalatOption($wp_customize, 'subjects_iconhoverColorbg1', 'subject_area', 'Subjects Icon Background Hover color One ', '#4a7cdc');
addColorPalatOption($wp_customize, 'subjects_iconhoverColorbg2', 'subject_area', 'Subjects Icon Background Hover color Two', '#462f96');

addColorPalatOption($wp_customize, 'subjects_subjectPageTitleColor', 'subject_area', 'Subjects Title color ', '#000');
addColorPalatOption($wp_customize, 'subjects_SubttlColor', 'subject_area', 'Subjects Text color ', '#687085');

addColorPalatOption($wp_customize, 'subjectarea_boxbg_color', 'subject_area', 'Subjects Box Color ', '#fff');
// end to show & hide button