<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'luzuk-premium' ),
				'off' => __( 'Yes', 'luzuk-premium' )
			),
		)
	)
);

$wp_customize->add_setting('luzuk_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'luzuk_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_premium_slider_section_lbl',
			'section'		=> 'premium_slider_section',
			'label'			=> __( 'Note:', 'luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 600X750', 'luzuk-premium' ),
		)
	)
);


lzCustomLable($wp_customize, 'slider_color', 'premium_slider_section', 'Section Image & Color');

backgroundManager($wp_customize, 'sliderbg', 'premium_slider_section', $color='#fff', get_template_directory_uri().'/images/sliderbg_layers.png', 'color');

addColorPalatOption($wp_customize, 'slider_SltitleColor', 'premium_slider_section', 'Slider Title Color', '#000');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'premium_slider_section', 'Slider Text Color', '#757575');


lzCustomLable($wp_customize, 'slider_fristbtn', 'premium_slider_section', 'Slider Frist Button Color');

addColorPalatOption($wp_customize, 'slider_btntxt', 'premium_slider_section', 'Frist Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxthv', 'premium_slider_section', 'Frist Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxtbg', 'premium_slider_section', 'Frist Button Background Color One', '#441e87');

addColorPalatOption($wp_customize, 'slider_btntxtbg2', 'premium_slider_section', 'Frist Button Background Color Two', '#4b91f1');

lzCustomLable($wp_customize, 'slider_secndbtn', 'premium_slider_section', 'Slider Second Button Color');

addColorPalatOption($wp_customize, 'slider2nd_btntxt', 'premium_slider_section', 'Second Button Text Color', '#441e87');

addColorPalatOption($wp_customize, 'slider2nd_btntxthv', 'premium_slider_section', 'Second Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider2nd_btnbghv', 'premium_slider_section', 'Second Button Background Hover Color', '#441e87');

addColorPalatOption($wp_customize, 'slider2nd_btnbrd', 'premium_slider_section', 'Second Button Border Color', '#441e87'); 

lzCustomLable($wp_customize, 'slider_arroclor', 'premium_slider_section', 'Slider Arrow Color');

addColorPalatOption($wp_customize, 'slider_arowicnclr', 'premium_slider_section', 'Slider Arrow Icon Color', '#fff'); 

addColorPalatOption($wp_customize, 'slider_arowicnbgclr', 'premium_slider_section', 'Slider Arrow Icon Background Color', '#5290fd'); 

addColorPalatOption($wp_customize, 'slider_arowicnbghvclr', 'premium_slider_section', 'Slider Arrow Icon Background Hover Color', '#441e87'); 

lzCustomLable($wp_customize, 'slider_secnimganima', 'premium_slider_section', 'Slider Image Animation Color');

addColorPalatOption($wp_customize, 'slider_imganimationleft', 'premium_slider_section', 'Slider image animation left circle Color', '#5482d4');

addColorPalatOption($wp_customize, 'slider_imganimationright', 'premium_slider_section', 'Slider image animation right circle Color', '#5482d4');



lzCustomLable($wp_customize, 'slider_secnres', 'premium_slider_section', 'Slider Responsive Color');

addColorPalatOption($wp_customize, 'slider_overlayColor', 'premium_slider_section', 'Slider image Overlay Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titlerespColor', 'premium_slider_section', 'Slider image Title Color', '#000');

addColorPalatOption($wp_customize, 'slider_textrespColor', 'premium_slider_section', 'Slider image Text Color', '#000');